Difference between revisions of "User:IanH"

From eLinux.org
Jump to: navigation, search
Line 6: Line 6:
 
* [[RPi_GPIO_Code_Samples]]
 
* [[RPi_GPIO_Code_Samples]]
  
 +
==Bluetooth LE on the Raspberry Pi==
 +
 +
The [https://www.raspberrypi.org/products/raspberry-pi-3-model-b/ Raspberry Pi Model 3] has built-in support for Bluetooth Low Energy (BLE). BLE is the technology behind many fitness trackers and smartwatches, and allows small, low-power devices to transmit and receive information from a central computer or smartphone.
 +
 +
This tutorial gets you started with Bluetooth Low Energy using a [http://www.ti.com/tool/cc2650stk Texas Instruments CC2650 SensorTag] - these are small, robust, relatively cheap and do interesting things out of the box. You can buy one [http://www.ti.com/tool/cc2650stk#buy directly from TI], or in the UK they are available from [http://uk.rs-online.com/web/p/radio-frequency-development-kits/8735892/ RS] and [http://uk.farnell.com/texas-instruments/cc2650stk/evaluation-mod-simplelink-sensor/dp/2470181 Farnell].
 +
 +
 
  
 
-----
 
-----
 +
 +
==Old==
 
BlueZ 5.4 build on Raspberry Pi
 
BlueZ 5.4 build on Raspberry Pi
  

Revision as of 01:25, 22 May 2017

In Cambridge, UK

Bluetooth LE on the Raspberry Pi

The Raspberry Pi Model 3 has built-in support for Bluetooth Low Energy (BLE). BLE is the technology behind many fitness trackers and smartwatches, and allows small, low-power devices to transmit and receive information from a central computer or smartphone.

This tutorial gets you started with Bluetooth Low Energy using a Texas Instruments CC2650 SensorTag - these are small, robust, relatively cheap and do interesting things out of the box. You can buy one directly from TI, or in the UK they are available from RS and Farnell.



Old

BlueZ 5.4 build on Raspberry Pi

Standard Wheezy bluez package is 4.99 and doesn't have LE support.

wget https://www.kernel.org/pub/linux/bluetooth/bluez-5.4.tar.xz
xz -d bluez-5.4.tar.xz
tar xf bluez-5.4.tar
sudo apt-get install libglib2.0-dev
sudo apt-get install libdbus-1-dev libdbus-glib-1-dev
sudo apt-get install libusb-dev
sudo apt-get install libudev-dev
sudo apt-get install libical-dev
sudo apt-get install libreadline-dev
./configure --disable-systemd
make
sudo make install

Notes: Tests use: 2014-01-07-wheezy-raspbian.zip from http://downloads.raspberrypi.org/raspbian_latest